com.genesyslab.wfm8.API.service.calendar800

## Class SchAgentTotals

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar800.SchAgentTotals

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentTotals
      extends java.lang.Object
      implements java.io.Serializable

  Contains different agent work totals, such as Total Paid Hours, Total Effective Work Hours, and Time Off Hours, or any specified Schedule State summed for the specified time period and granularity.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID.
    `private static long` | `serialVersionUID`
    `protected double` | `wmEndDate` End date of period for calculated totals `OleDateTime`
    `protected int` | `wmOvertimeMinutes` Total Overtime Time, in minutes (if requested)
    `protected int` | `wmPaidMinutes` Total Paid Time, in minutes
    `protected int` | `wmRefId` Secondary ID
    `protected int` | `wmSiteId` Site ID
    `protected double` | `wmStartDate` Start date of period for calculated totals `OleDateTime`
    `protected int` | `wmStateId` Schedule State ID
    `protected int` | `wmStateMinutes` Total minutes on specified schedule state, designated by wmStateType + wmStateId
    `protected int` | `wmStateType` Schedule State Type `ESchStateType`, whose calculated totals are stored in "wmStateMinutes".
    `protected int` | `wmType` Totals' granularity `ESchTotalsType`
    `protected int` | `wmWorkMinutes` Total Effective Work Time, in minutes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentTotals()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `int` | `getWmOvertimeMinutes()` Gets the value of the wmOvertimeMinutes property.
    `int` | `getWmPaidMinutes()` Gets the value of the wmPaidMinutes property.
    `int` | `getWmRefId()` Gets the value of the wmRefId property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `int` | `getWmStateId()` Gets the value of the wmStateId property.
    `int` | `getWmStateMinutes()` Gets the value of the wmStateMinutes property.
    `int` | `getWmStateType()` Gets the value of the wmStateType property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `getWmWorkMinutes()` Gets the value of the wmWorkMinutes property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmOvertimeMinutes(int value)` Sets the value of the wmOvertimeMinutes property.
    `void` | `setWmPaidMinutes(int value)` Sets the value of the wmPaidMinutes property.
    `void` | `setWmRefId(int value)` Sets the value of the wmRefId property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmStateId(int value)` Sets the value of the wmStateId property.
    `void` | `setWmStateMinutes(int value)` Sets the value of the wmStateMinutes property.
    `void` | `setWmStateType(int value)` Sets the value of the wmStateType property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `void` | `setWmWorkMinutes(int value)` Sets the value of the wmWorkMinutes property.
    `java.lang.String` | `toString()`
    `SchAgentTotals` | `withGswAgentId(int value)`
    `SchAgentTotals` | `withWmEndDate(double value)`
    `SchAgentTotals` | `withWmOvertimeMinutes(int value)`
    `SchAgentTotals` | `withWmPaidMinutes(int value)`
    `SchAgentTotals` | `withWmRefId(int value)`
    `SchAgentTotals` | `withWmSiteId(int value)`
    `SchAgentTotals` | `withWmStartDate(double value)`
    `SchAgentTotals` | `withWmStateId(int value)`
    `SchAgentTotals` | `withWmStateMinutes(int value)`
    `SchAgentTotals` | `withWmStateType(int value)`
    `SchAgentTotals` | `withWmType(int value)`
    `SchAgentTotals` | `withWmWorkMinutes(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID

    - #### gswAgentId

          protected int gswAgentId

      Agent ID. A zero value means that the record contains gross totals for the period.

    - #### wmType

          protected int wmType

      Totals' granularity `ESchTotalsType`

    - #### wmStartDate

          protected double wmStartDate

      Start date of period for calculated totals `OleDateTime`

    - #### wmEndDate

          protected double wmEndDate

      End date of period for calculated totals `OleDateTime`

    - #### wmStateType

          protected int wmStateType

      Schedule State Type `ESchStateType`, whose calculated totals are stored in "wmStateMinutes".

    - #### wmStateId

          protected int wmStateId

      Schedule State ID

    - #### wmRefId

          protected int wmRefId

      Secondary ID

    - #### wmPaidMinutes

          protected int wmPaidMinutes

      Total Paid Time, in minutes

    - #### wmWorkMinutes

          protected int wmWorkMinutes

      Total Effective Work Time, in minutes

    - #### wmStateMinutes

          protected int wmStateMinutes

      Total minutes on specified schedule state, designated by wmStateType + wmStateId

    - #### wmOvertimeMinutes

          protected int wmOvertimeMinutes

      Total Overtime Time, in minutes (if requested)

  - ### Constructor Detail

    - #### SchAgentTotals

          public SchAgentTotals()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmStateType

          public int getWmStateType()

      Gets the value of the wmStateType property.

    - #### setWmStateType

          public void setWmStateType(int value)

      Sets the value of the wmStateType property.

    - #### getWmStateId

          public int getWmStateId()

      Gets the value of the wmStateId property.

    - #### setWmStateId

          public void setWmStateId(int value)

      Sets the value of the wmStateId property.

    - #### getWmRefId

          public int getWmRefId()

      Gets the value of the wmRefId property.

    - #### setWmRefId

          public void setWmRefId(int value)

      Sets the value of the wmRefId property.

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the value of the wmPaidMinutes property.

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int value)

      Sets the value of the wmPaidMinutes property.

    - #### getWmWorkMinutes

          public int getWmWorkMinutes()

      Gets the value of the wmWorkMinutes property.

    - #### setWmWorkMinutes

          public void setWmWorkMinutes(int value)

      Sets the value of the wmWorkMinutes property.

    - #### getWmStateMinutes

          public int getWmStateMinutes()

      Gets the value of the wmStateMinutes property.

    - #### setWmStateMinutes

          public void setWmStateMinutes(int value)

      Sets the value of the wmStateMinutes property.

    - #### getWmOvertimeMinutes

          public int getWmOvertimeMinutes()

      Gets the value of the wmOvertimeMinutes property.

    - #### setWmOvertimeMinutes

          public void setWmOvertimeMinutes(int value)

      Sets the value of the wmOvertimeMinutes property.

    - #### withWmSiteId

          public SchAgentTotals withWmSiteId(int value)

    - #### withGswAgentId

          public SchAgentTotals withGswAgentId(int value)

    - #### withWmType

          public SchAgentTotals withWmType(int value)

    - #### withWmStartDate

          public SchAgentTotals withWmStartDate(double value)

    - #### withWmEndDate

          public SchAgentTotals withWmEndDate(double value)

    - #### withWmStateType

          public SchAgentTotals withWmStateType(int value)

    - #### withWmStateId

          public SchAgentTotals withWmStateId(int value)

    - #### withWmRefId

          public SchAgentTotals withWmRefId(int value)

    - #### withWmPaidMinutes

          public SchAgentTotals withWmPaidMinutes(int value)

    - #### withWmWorkMinutes

          public SchAgentTotals withWmWorkMinutes(int value)

    - #### withWmStateMinutes

          public SchAgentTotals withWmStateMinutes(int value)

    - #### withWmOvertimeMinutes

          public SchAgentTotals withWmOvertimeMinutes(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.